declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * If the icon is on the left or the right
     * Alternatively, you can align the icon centered to the title via the 'trailing-title' option
     */
    iconType: {
        type: StringConstructor;
        default: string;
        required: false;
        validator: (prop: unknown) => boolean;
    };
    /**
     * If you want to add margin-x to the accordion click area
     */
    size: {
        type: StringConstructor;
        default: string;
        required: false;
        validator: (prop: unknown) => boolean;
    };
    /**
     * If you want to change the border disposition of the accordion.
     * [outer = border on the outside on top and bottom],
     * [separator = border that separate heading and content]
     */
    border: {
        type: StringConstructor;
        default: string;
        required: false;
        validator: (prop: unknown) => boolean;
    };
    /**
     * If you want the accordion to be opened as a starting state
     */
    expanded: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * The id of the panel, necessary for accessibility purposes
     */
    id: {
        type: StringConstructor;
        required: true;
    };
    /**
     * The style when you hover the accordion (grey background or opacity)
     */
    hoverType: {
        type: StringConstructor;
        default: string;
        required: false;
        validator: (prop: unknown) => boolean;
    };
    /**
     * To change the UI color of the chevron and the border, add the border color class and/or text color class you want.
     * (Example: color='fx-text-orange-100 fx-border-green-100') will add a green borderwith an orange chevron icon
     */
    color: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Style of the title
     */
    titleStyle: {
        type: StringConstructor;
        default: string;
        validator: (prop: unknown) => boolean;
    };
    /**
     * Hides the trigger focus state in case
     * you need to add a custom focus state to
     * a parent component
     */
    hideTriggerFocus: {
        type: BooleanConstructor;
        default: boolean;
    };
}>, {}, {
    isExpanded: boolean;
    nextSiblingIsAccordion: boolean;
    previousSiblingIsAccordion: boolean;
    chevronColor: any;
    borderColor: any;
}, {
    sizeClass(): "" | "fx-mx-16 md:fx-mx-32 md:fx-my-16" | "fx-mx-16 md:fx-mx-20 md:fx-my-10";
    hoverClass(): "chevronOpacity" | "hover:fx-bg-primary-hover active:fx-bg-primary-hover";
    borderClass(): "" | "fx-border-t-1 fx-border-b-1" | "fx-border-t-1";
    borderColorClass(): any;
    focusRingClass(): "" | "focus-visible:fx-ring-focus-100/60 focus-visible:fx-ring-2 focus-visible:fx-ring-offset-2";
    chevronClass(): any[];
    titleClass(): "fx-text-black-100 fx-text-base fx-leading-1.2 fx-font-bold" | "fx-text-base fx-font-medium fx-leading-1.5";
}, {
    toggleAccordion(): void;
    emitEvent(eventName: any, event: any): void;
    handleKeyDown(e: any): void;
    isTheSiblingAnAccordion(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * If the icon is on the left or the right
     * Alternatively, you can align the icon centered to the title via the 'trailing-title' option
     */
    iconType: {
        type: StringConstructor;
        default: string;
        required: false;
        validator: (prop: unknown) => boolean;
    };
    /**
     * If you want to add margin-x to the accordion click area
     */
    size: {
        type: StringConstructor;
        default: string;
        required: false;
        validator: (prop: unknown) => boolean;
    };
    /**
     * If you want to change the border disposition of the accordion.
     * [outer = border on the outside on top and bottom],
     * [separator = border that separate heading and content]
     */
    border: {
        type: StringConstructor;
        default: string;
        required: false;
        validator: (prop: unknown) => boolean;
    };
    /**
     * If you want the accordion to be opened as a starting state
     */
    expanded: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * The id of the panel, necessary for accessibility purposes
     */
    id: {
        type: StringConstructor;
        required: true;
    };
    /**
     * The style when you hover the accordion (grey background or opacity)
     */
    hoverType: {
        type: StringConstructor;
        default: string;
        required: false;
        validator: (prop: unknown) => boolean;
    };
    /**
     * To change the UI color of the chevron and the border, add the border color class and/or text color class you want.
     * (Example: color='fx-text-orange-100 fx-border-green-100') will add a green borderwith an orange chevron icon
     */
    color: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Style of the title
     */
    titleStyle: {
        type: StringConstructor;
        default: string;
        validator: (prop: unknown) => boolean;
    };
    /**
     * Hides the trigger focus state in case
     * you need to add a custom focus state to
     * a parent component
     */
    hideTriggerFocus: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & Readonly<{}>, {
    size: string;
    iconType: string;
    border: string;
    expanded: boolean;
    hoverType: string;
    titleStyle: string;
    hideTriggerFocus: boolean;
}, {}, {
    ChevronDown: any;
    ChevronUp: any;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
