declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * The size of the text. Can either pass in a single string for one size on all breakpoints, or pass in an array with index 0 being the mobile size up to `md`, and index 1 being desktop size `md` and up.
     */
    size: {
        type: (StringConstructor | ArrayConstructor)[];
        required: false;
        default: string;
        validator: (prop: unknown) => boolean;
    };
    /**
     * The type of the button (link or button)
     */
    type: {
        type: StringConstructor;
        required: true;
        validator: (prop: unknown) => boolean;
    };
    /**
     * If the icon is positioned on the left or right
     */
    icon: {
        type: StringConstructor;
        required: false;
        default: string;
        validator: (prop: unknown) => boolean;
    };
    /**
     * If the button is inline
     */
    inline: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * If the button has underline
     */
    underline: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * If the button needs a specific font colour
     */
    color: {
        type: StringConstructor;
        default: any;
        validator: (prop: unknown) => boolean;
        required: false;
    };
}>, {}, {}, {
    buttonType(): "button" | "a";
    buttonClasses(): string;
    hasIconSlot(): import("vue").Slot<any>;
    iconClasses(): string;
    textClasses(): string;
    sizeClass(): "" | "fx-text-base" | "fx-text-sm" | "fx-text-lg";
    paddingClass(): "" | "fx-py-12 md:fx-py-0" | "fx-py-[10px] md:fx-py-0";
    desktopSizeClass(): "" | "md:fx-text-sm" | "md:fx-text-md" | "md:fx-text-lg";
    iconClass(): "fx-h-[20px] fx-w-[20px]" | "fx-h-[24px] fx-w-[24px]" | "fx-h-[28px] fx-w-[28px]";
    colorClass(): any;
}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The size of the text. Can either pass in a single string for one size on all breakpoints, or pass in an array with index 0 being the mobile size up to `md`, and index 1 being desktop size `md` and up.
     */
    size: {
        type: (StringConstructor | ArrayConstructor)[];
        required: false;
        default: string;
        validator: (prop: unknown) => boolean;
    };
    /**
     * The type of the button (link or button)
     */
    type: {
        type: StringConstructor;
        required: true;
        validator: (prop: unknown) => boolean;
    };
    /**
     * If the icon is positioned on the left or right
     */
    icon: {
        type: StringConstructor;
        required: false;
        default: string;
        validator: (prop: unknown) => boolean;
    };
    /**
     * If the button is inline
     */
    inline: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * If the button has underline
     */
    underline: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * If the button needs a specific font colour
     */
    color: {
        type: StringConstructor;
        default: any;
        validator: (prop: unknown) => boolean;
        required: false;
    };
}>> & Readonly<{}>, {
    size: string | unknown[];
    icon: string;
    color: string;
    inline: boolean;
    underline: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
