declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * Value for the input/datepicker
     */
    modelValue: {
        type: (DateConstructor | StringConstructor | NumberConstructor)[];
    };
    /**
     * Minimum date for the date picker to allow a user to select
     */
    minDate: {
        type: DateConstructor;
        default(): Date;
    };
    /**
     * Label for the AppInput component.
     */
    inputLabel: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * Id for the AppInput component.
     */
    inputId: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * Name for the AppInput component.
     */
    inputName: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * Add a placeholder to the input
     */
    placeholder: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * Size of the input component. Accepted values are 'small' and 'regular'.
     */
    size: {
        type: StringConstructor;
        default: string;
        validator(value: unknown): boolean;
    };
    /**
     * Hides the input label when set to true
     */
    hideLabel: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * If the input is disabled
     */
    disabled: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * Value of the z-index of the calendar, default to 30
     */
    zIndexValue: {
        type: StringConstructor;
        required: false;
        default: string;
    };
}>, {}, {}, {
    cssProps(): {
        '--z-index-value': string;
    };
    hideInput(): boolean;
}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Value for the input/datepicker
     */
    modelValue: {
        type: (DateConstructor | StringConstructor | NumberConstructor)[];
    };
    /**
     * Minimum date for the date picker to allow a user to select
     */
    minDate: {
        type: DateConstructor;
        default(): Date;
    };
    /**
     * Label for the AppInput component.
     */
    inputLabel: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * Id for the AppInput component.
     */
    inputId: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * Name for the AppInput component.
     */
    inputName: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * Add a placeholder to the input
     */
    placeholder: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * Size of the input component. Accepted values are 'small' and 'regular'.
     */
    size: {
        type: StringConstructor;
        default: string;
        validator(value: unknown): boolean;
    };
    /**
     * Hides the input label when set to true
     */
    hideLabel: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * If the input is disabled
     */
    disabled: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * Value of the z-index of the calendar, default to 30
     */
    zIndexValue: {
        type: StringConstructor;
        required: false;
        default: string;
    };
}>> & Readonly<{
    "onUpdate:modelValue"?: (...args: any[]) => any;
}>, {
    size: string;
    disabled: boolean;
    inputId: string;
    inputLabel: string;
    placeholder: string;
    inputName: string;
    hideLabel: boolean;
    minDate: Date;
    zIndexValue: string;
}, {}, {
    DatePicker: any;
    CalendarIcon: any;
    AppInput: any;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
