declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * Step number
     */
    step: {
        type: StringConstructor;
        required: true;
    };
    /**
     * The step that is done
     */
    done: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * The step where you are currently
     */
    current: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * The bullet background color override (use tailwind class)
     */
    bulletBgColorClass: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * The bullet text color override (use tailwind class)
     */
    bulletTextColorClass: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * The divider color (use a tailwind background color class)
     */
    dividerColorClass: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * Don't show the divider (ie: set to `false` on the last step)
     */
    showDivider: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * The heading text for the step. This text appears next to the bullet.
     */
    heading: {
        type: (StringConstructor | FunctionConstructor)[];
        required: false;
    };
    /**
     * The sub-copy text for the step. This text appears under the heading.
     */
    subcopy: {
        type: (StringConstructor | FunctionConstructor)[];
        required: false;
    };
}>, {}, {}, {
    bulletBgColor(): string;
    hasTextButton(): boolean;
}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Step number
     */
    step: {
        type: StringConstructor;
        required: true;
    };
    /**
     * The step that is done
     */
    done: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * The step where you are currently
     */
    current: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * The bullet background color override (use tailwind class)
     */
    bulletBgColorClass: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * The bullet text color override (use tailwind class)
     */
    bulletTextColorClass: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * The divider color (use a tailwind background color class)
     */
    dividerColorClass: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * Don't show the divider (ie: set to `false` on the last step)
     */
    showDivider: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * The heading text for the step. This text appears next to the bullet.
     */
    heading: {
        type: (StringConstructor | FunctionConstructor)[];
        required: false;
    };
    /**
     * The sub-copy text for the step. This text appears under the heading.
     */
    subcopy: {
        type: (StringConstructor | FunctionConstructor)[];
        required: false;
    };
}>> & Readonly<{}>, {
    done: boolean;
    current: boolean;
    bulletBgColorClass: string;
    bulletTextColorClass: string;
    dividerColorClass: string;
    showDivider: boolean;
}, {}, {
    AppDivider: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        orientation: {
            type: StringConstructor;
            default: string;
            validator: (value: unknown) => boolean;
            required: false;
        };
        thickness: {
            type: StringConstructor;
            default: string;
            validator: (value: unknown) => boolean;
            required: false;
        };
    }>, {}, {
        dividerClasses: {
            horizontal: string;
            vertical: string;
        };
    }, {}, {
        getHeightClassOnThickness(): "fx-h-[0.5px]" | "fx-h-[1px]" | "fx-h-[2px]";
        getWidthClassOnThickness(): "fx-w-[0.5px]" | "fx-w-[1px]" | "fx-w-[2px]";
    }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        orientation: {
            type: StringConstructor;
            default: string;
            validator: (value: unknown) => boolean;
            required: false;
        };
        thickness: {
            type: StringConstructor;
            default: string;
            validator: (value: unknown) => boolean;
            required: false;
        };
    }>> & Readonly<{}>, {
        orientation: string;
        thickness: string;
    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    CheckboxIcon: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, SVGSVGElement>;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
